Skip to main content
GET
/
checks
/
{checkId}
/
status-history
Get the status history of a check
curl --request GET \
  --url https://backstage.example.com/api/soundcheck/checks/{checkId}/status-history
{
  "id": "<string>",
  "numberOfEntities": 123,
  "history": [
    {
      "passed": 123,
      "failed": 123,
      "warning": 123,
      "exempt": 123,
      "notApplicable": 123,
      "error": 123,
      "notReported": 123,
      "date": "2023-11-07T05:31:56Z"
    }
  ]
}

Documentation Index

Fetch the complete documentation index at: https://backstage.spotify.com/docs/llms.txt

Use this file to discover all available pages before exploring further.

Path Parameters

checkId
string
required

The ID of the check

Query Parameters

numberOfDays
integer

The number of days to return history for.

Response

OK

id
string
required
numberOfEntities
integer
required
history
object[]
required